diff -ruN drivers/char/drm-4.2/sis_ds.c drivers/char/drm/sis_ds.c
--- drivers/char/drm-4.2/sis_ds.c	2002-11-29 08:53:12.000000000 +0900
+++ drivers/char/drm/sis_ds.c	2003-01-14 07:00:59.000000000 +0900
@@ -28,6 +28,7 @@
  * 
  */
 
+#define __NO_VERSION__
 #include <linux/module.h>
 #include <linux/delay.h>
 #include <linux/errno.h>
@@ -58,7 +59,7 @@
     set->free = 0;
     set->alloc = -1;
     set->trace = -1;
-  }
+  }  
   return set;
 }
 
diff -ruN drivers/char/drm-4.2/sis_mm.c drivers/char/drm/sis_mm.c
--- drivers/char/drm-4.2/sis_mm.c	2002-11-29 08:53:12.000000000 +0900
+++ drivers/char/drm/sis_mm.c	2003-01-14 07:00:59.000000000 +0900
@@ -28,6 +28,7 @@
  * 
  */
 
+#define __NO_VERSION__
 #include "sis.h"
 #include <linux/sisfb.h>
 #include "drmP.h"
@@ -124,7 +125,7 @@
   if(!del_alloc_set(fb.context, VIDEO_TYPE, fb.free))
     retval = -1;
 
-  DRM_DEBUG("free fb, offset = %ld\n", fb.free);
+  DRM_DEBUG("free fb, offset = %d\n", fb.free);
   
   return retval;
 }
@@ -185,7 +186,7 @@
     agp.free = (unsigned long)block;
     if(!add_alloc_set(agp.context, AGP_TYPE, agp.free)){
       DRM_DEBUG("adding to allocation set fails\n");
-      mmFreeMem((PMemBlock)agp.free);
+      mmFreeMem((PMemBlock)(unsigned long)agp.free);
       retval = -1;
     }
   }
@@ -218,11 +219,11 @@
     return -1;
   }
 
-  mmFreeMem((PMemBlock)agp.free);
+  mmFreeMem((PMemBlock)(unsigned long)agp.free);
   if(!del_alloc_set(agp.context, AGP_TYPE, agp.free))
     retval = -1;
 
-  DRM_DEBUG("free agp, free = %ld\n", agp.free);
+  DRM_DEBUG("free agp, free = %d\n", agp.free);
   
   return retval;
 }
@@ -288,7 +289,7 @@
 	  retval = setFirst(set, &item);
 	  while(retval){
    	    DRM_DEBUG("free agp memory 0x%x\n", item);
-	    mmFreeMem((PMemBlock)item);
+	    mmFreeMem((PMemBlock)(unsigned long)item);
 	    retval = setNext(set, &item);
 	  }
 	  setDestroy(set);
diff -ruN drivers/char/drm-4.2/tdfx_drv.c drivers/char/drm/tdfx_drv.c
--- drivers/char/drm-4.2/tdfx_drv.c	2001-08-27 23:40:33.000000000 +0900
+++ drivers/char/drm/tdfx_drv.c	2003-01-14 07:00:59.000000000 +0900
@@ -82,25 +82,6 @@
 #include "drm_drawable.h"
 #include "drm_drv.h"
 
-#ifndef MODULE
-/* DRM(options) is called by the kernel to parse command-line options
- * passed via the boot-loader (e.g., LILO).  It calls the insmod option
- * routine, drm_parse_drm.
- */
-
-/* JH- We have to hand expand the string ourselves because of the cpp.  If
- * anyone can think of a way that we can fit into the __setup macro without
- * changing it, then please send the solution my way.
- */
-static int __init tdfx_options( char *str )
-{
-	DRM(parse_options)( str );
-	return 1;
-}
-
-__setup( DRIVER_NAME "=", tdfx_options );
-#endif
-
 #include "drm_fops.h"
 #include "drm_init.h"
 #include "drm_ioctl.h"
